<?php
/**
 * The zh-cn lang file of batch module of ZDOO.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com> 
 * @package     batch
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
if(!isset($lang->batch)) $lang->batch = new stdclass();
$lang->batch->common               = 'Inventory';
$lang->batch->browse               = 'ToBeDelivered';
$lang->batch->browsePurchaseOrders = 'ToBeReceived';
$lang->batch->browseFinished       = 'Finished';
$lang->batch->create               = 'Received';
$lang->batch->detail               = 'Details';
$lang->batch->editPick             = 'Edit Distribution Info';
$lang->batch->editDeliver          = 'Edit Delivery Info';
$lang->batch->editReceive          = 'Edit Received Info';
$lang->batch->printBatch           = 'Print In/Out Voucher';
$lang->batch->showBatchProducts    = 'In/Out Details';
$lang->batch->createExpress        = 'New';
$lang->batch->search               = 'Search';

$lang->batch->id            = 'ID';
$lang->batch->batchNo       = 'Bill No.';
$lang->batch->type          = 'Type';
$lang->batch->trader        = 'Trader';
$lang->batch->order         = 'Order';
$lang->batch->money         = 'Amount';
$lang->batch->express       = 'Express';
$lang->batch->waybill       = 'Waybill';
$lang->batch->pickedBy      = 'Distributed By';
$lang->batch->pickedDate    = 'Distributed';
$lang->batch->expressedBy   = 'By';
$lang->batch->expressedDate = 'Date';
$lang->batch->createdBy     = '由谁创建';
$lang->batch->createdDate   = '创建日期';
$lang->batch->assignedTo    = '指派给';
$lang->batch->assignedBy    = '由谁指派';
$lang->batch->assignedDate  = '指派日期';
$lang->batch->status        = 'Status';

$lang->batch->product         = 'Product';
$lang->batch->model           = 'Specification';
$lang->batch->unit            = 'Unit';
$lang->batch->price           = 'Price';
$lang->batch->amount          = 'Quantity';
$lang->batch->pickedAmount    = 'Distributed Qty';
$lang->batch->deliveredAmount = 'Delivered Qty';
$lang->batch->receivedAmount  = 'Received Qty';
$lang->batch->orderAmount     = 'Ordered Qty';
$lang->batch->batchInfo       = 'No. %s';
$lang->batch->productInfo     = 'Product Info';
$lang->batch->sendSuccess     = 'Done!';

$lang->batch->batchNoList['out'] = 'Out No.';
$lang->batch->batchNoList['in']  = 'In No.';

$lang->batch->typeList['']    = '';
$lang->batch->typeList['out'] = 'Out';
$lang->batch->typeList['in']  = 'In';

$lang->batch->traderList['out'] = 'Customer';
$lang->batch->traderList['in']  = 'Provider';

$lang->batch->pick = new stdclass();
$lang->batch->pick->common        = 'Distributing';
$lang->batch->pick->info          = 'Distribution Info';
$lang->batch->pick->amount        = 'Quantity';
$lang->batch->pick->edit          = 'Edit';
$lang->batch->pick->expressedBy   = 'Distributed By';
$lang->batch->pick->expressedDate = 'Distributed';

$lang->batch->deliver = new stdclass();
$lang->batch->deliver->common        = 'Delivery';
$lang->batch->deliver->info          = 'Delivery Info';
$lang->batch->deliver->amount        = 'Quantity';
$lang->batch->deliver->edit          = 'Edit';
$lang->batch->deliver->expressedBy   = 'Delivered By';
$lang->batch->deliver->expressedDate = 'Delivered';

$lang->batch->receive = new stdclass();
$lang->batch->receive->common        = 'Receive';
$lang->batch->receive->info          = 'Receive Information';
$lang->batch->receive->amount        = 'Quantity';
$lang->batch->receive->edit          = 'Edit';
$lang->batch->receive->expressedBy   = 'Received By';
$lang->batch->receive->expressedDate = 'Received';

$lang->batch->finished = new stdclass();
$lang->batch->finished->common        = 'Finished';

$lang->batch->statusList['']          = '';
$lang->batch->statusList['picking']   = 'Distributing';
$lang->batch->statusList['delivered'] = 'Delivered';
$lang->batch->statusList['received']  = 'Received';

$lang->batch->error = new stdclass();
$lang->batch->error->emptyAmount = '<strong>%s</strong> should not be all 0s.';

$lang->batch->print = new stdclass();
$lang->batch->print->out = 'Invoice';
$lang->batch->print->in  = 'Receipt';
