-- DROP TABLE IF EXISTS `sys_leadsaction`;
CREATE TABLE IF NOT EXISTS `sys_leadsaction` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `contact` mediumint(8) unsigned DEFAULT NULL,
  `objectType` varchar(30) NOT NULL DEFAULT '',
  `objectID` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `actor` varchar(30) NOT NULL DEFAULT '',
  `action` varchar(30) NOT NULL DEFAULT '',
  `date` datetime NOT NULL,
  `comment` text NOT NULL,
  `extra` varchar(255) NOT NULL,
  `origin` varchar(256) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `objectType` (`objectType`),
  KEY `objectID` (`objectID`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

UPDATE `sys_workflowdatasource` SET `datasource` = REPLACE(`datasource`, '"value":"50"', '"value":"0"') WHERE `type` = 'system' AND `datasource` LIKE '%"name":"limit"%' AND `datasource` LIKE '%"value":"50"%';

UPDATE `sys_workflowaction` SET `method` = '';
UPDATE `sys_workflowaction` SET `method` = `action` WHERE `action` IN ('browse', 'create', 'batchcreate', 'edit', 'view', 'delete', 'link', 'unlink', 'export', 'exporttemplate', 'import', 'showimport', 'report');
UPDATE `sys_workflowaction` SET `method` = 'create'       WHERE `method` = '' AND `type` = 'single' AND `virtual` = 1;
UPDATE `sys_workflowaction` SET `method` = 'batchcreate'  WHERE `method` = '' AND `type` = 'batch'  AND `virtual` = 1;
UPDATE `sys_workflowaction` SET `method` = 'operate'      WHERE `method` = '' AND `type` = 'single';
UPDATE `sys_workflowaction` SET `method` = 'batchoperate' WHERE `method` = '' AND `type` = 'batch';
